Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::SizedIteratorRange Struct Reference
Inheritance diagram for ranges::v3::concepts::SizedIteratorRange:

## Public Member Functions
template<typename I , typename S , typename D = WeaklyIncrementable::difference_t<I>>
auto | requires_ (I &&i, S &&s) -> decltype( concepts::valid_expr( concepts::is_false( disable_sized_iterator_range< uncvref_t< I >, uncvref_t< S >>()), concepts::has_type< D >(s-i), concepts::has_type< D >(i-s) ))
Public Member Functions inherited from ranges::v3::concepts::refines< IteratorRange >
void | requires_ (Ts &&...)

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< IteratorRange >
using | base_concepts_t = meta::list< Concepts... >